<?php
	// plik zawiera zmienną user
	include ("config.php");

	// Jeśli gracz utworzył sesje a konkretnie zmienną Np. index.php?session=3fa0626003b7c4942c732bf50efcedae
	if(isset($_GET['session'])){
		// klucz sesji
		$key = $_SERVER['REQUEST_SCHEME'].'://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
		
		// tworzymy nową sesje jeśli $_SESSION['kolko_czy_krzyzyk'] jest null
		// to znaczy jeśli gracz odświeży przeglądarkę podczas gry (F5)
		// to ten kod się już nie wykona, musi wejść znowu na stronę główną index.php i uruchomić nową sesję
		// aby wszystko z resetować i móc utworzyć nową pustą "planszę"/nowy link do gry
		if($_SESSION['kolko_czy_krzyzk']==null){
			// sprawdz czy sesja istnieje czy trzeba otworzyć nowa
			if(mysqli_num_rows(mysqli_query($link, "SELECT session_key FROM game_sessions WHERE session_key='".$_GET['session']."'")) > 0){
				// jesli sesja istnieje i gracz dołącza do gry jest "kółkiem" (20
				$_SESSION['kolko_czy_krzyzk'] = 2;
			}else{
				mysqli_query($link, "INSERT INTO `game_sessions` (`session_key`, `grid`, `current`) VALUES ('$_GET[session]','[[0,0,0],[0,0,0],[0,0,0]]','2')");
				// gracz ktory zalozy gre automatycznie gra jako "X" (1)
				$_SESSION['kolko_czy_krzyzk'] = 1; 
				
				echo 'Sesja utworzona! Wyślij ten link, aby drugi gracz mógł dołączyć (lub wklej go do drugiej przeglądarki):<BR><BR> '.$key;
			}
		}
		echo '<BR><BR>';
		
		// nasza gra, to tutaj ładujemy za pomocą funkcji sendData (game.js) nasz plik "game.php"
		// który odczytuje rekord z bazy sql, dzięki temu widzimy zmiany na planszy
		echo '<div id="board" style="width: 300px;">';
		include ("game.php");
		echo '</div>';
		
		// Ładujemy plik game.js i przekazujemy zmienną ($_GET['session'])
		// z PHP do zmiennej w JavaScript 
		echo '<script>var key = "'.$_GET['session'].'";</script>';
		echo '<script src="game.js"></script>';
	}else{
		// resetujemy sesje gdy NIE ISTNIEJE zmienna $_GET['session'] (Np. index.php?session=3fa0626003b7c4942c732bf50efcedae)
		// za każdym razem, ponieważ zostałaby zapamiętana
		// dopóki nie zostaną wyczyszczone dane przeglądarki, co w praktyce oznaczałoby
		// że Np. gracz nie mógł by nigdy dołączyć do innej gry 
		$_SESSION['kolko_czy_krzyzk'] = null;
		
		// generujemy na podstawie czasu nasz klucz
		$session = md5( microtime().rand() );
		
		echo '<a href="index.php?session='.$session.'">Kliknij tutaj</a>, aby utworzyć unikalną nową sesje i zagrać z kolegą w kółko i krzyżyk!';
	}
?>